Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5117)
@@ -378,6 +378,6 @@
       REAL :: chmin, chmax, timeday, al
       INTEGER ierr, idx
-      integer n_extrap ! number of extrapolated points
-      logical skip
+      INTEGER n_extrap ! number of extrapolated points
+      LOGICAL skip
 
       !------------------------------------------------------------------------------
@@ -599,5 +599,5 @@
             CALL pchfe_95(timeyear, champtime(i, j, :), yder, skip, &
                     arth(0.5, real(ndays_in) / ndays, ndays), champan(i, j, :), ierr)
-            if (ierr < 0) CALL abort_physic("get_2Dfield", "", 1)
+            IF (ierr < 0) CALL abort_physic("get_2Dfield", "", 1)
             n_extrap = n_extrap + ierr
           END DO
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5117)
@@ -13,7 +13,7 @@
     ! the surface pressure, which sample possible values on Earth.
 
-    use exner_hyb_m, ONLY: exner_hyb
-    use lmdz_vertical_layers, ONLY: ap,bp,preff
-    use comconst_mod, ONLY: kappa, cpp
+    USE exner_hyb_m, ONLY: exner_hyb
+    USE lmdz_vertical_layers, ONLY: ap,bp,preff
+    USE comconst_mod, ONLY: kappa, cpp
     USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -22,12 +22,12 @@
 
     ! Local:
-    integer l, i
-    integer, parameter:: ngrid = 7
-    real p(ngrid, llm + 1) ! pressure at half-level, in Pa
-    real pks(ngrid) ! exner function at the surface, in J K-1 kg-1 
-    real pk(ngrid, llm) ! exner function at full level, in J K-1 kg-1 
-    real ps(ngrid) ! surface pressure, in Pa
-    real p_lay(ngrid, llm) ! pressure at full level, in Pa
-    real delta_ps ! in Pa
+    INTEGER l, i
+    INTEGER, parameter:: ngrid = 7
+    REAL p(ngrid, llm + 1) ! pressure at half-level, in Pa
+    REAL pks(ngrid) ! exner function at the surface, in J K-1 kg-1
+    REAL pk(ngrid, llm) ! exner function at full level, in J K-1 kg-1
+    REAL ps(ngrid) ! surface pressure, in Pa
+    REAL p_lay(ngrid, llm) ! pressure at full level, in Pa
+    REAL delta_ps ! in Pa
 
     !---------------------
@@ -42,14 +42,14 @@
 
     ! Are pressure values in the right order?
-    if (any(p(:, :llm) <= p_lay .or. p_lay <= p(:, 2:))) THEN
+    IF (any(p(:, :llm) <= p_lay .OR. p_lay <= p(:, 2:))) THEN
        ! List details and stop:
        do l = 1, llm
           do i = 1, ngrid
-             if (p(i, l) <= p_lay(i, l)) THEN
+             IF (p(i, l) <= p_lay(i, l)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(level ",  l, &
                      ") = ", p(i, l) / 100., " hPa <= p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa"
              end if
-             if (p_lay(i, l) <= p(i, l + 1)) THEN
+             IF (p_lay(i, l) <= p(i, l + 1)) THEN
                 print 1000, "ps = ", ps(i) / 100., "hPa, p(layer ", l, ") = ", &
                      p_lay(i, l) / 100., " hPa <= p(level ", l + 1, ") = ", &
Index: LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5117)
@@ -78,5 +78,5 @@
     INTEGER :: sdd1_type, sdd2_type
 
-    if (iim == 1) return ! no filtre in 2D y-z
+    IF (iim == 1) return ! no filtre in 2D y-z
 
     IF (first) THEN
@@ -89,5 +89,5 @@
     ENDIF
 
-    IF(ifiltre==1.or.ifiltre==-1) &
+    IF(ifiltre==1.OR.ifiltre==-1) &
             stop 'Pas de transformee simple dans cette version'
 
@@ -425,10 +425,10 @@
     IMPLICIT NONE
     ! Arguments:
-    integer, intent(in) :: N
-    integer, intent(in) :: NP
-    integer, intent(out) :: NROT
-    real, intent(inout) :: A(NP, NP)
-    real, intent(out) :: D(NP)
-    real, intent(out) :: V(NP, NP)
+    INTEGER, INTENT(IN) :: N
+    INTEGER, INTENT(IN) :: NP
+    INTEGER, INTENT(OUT) :: NROT
+    REAL, INTENT(INOUT) :: A(NP, NP)
+    REAL, INTENT(OUT) :: D(NP)
+    REAL, INTENT(OUT) :: V(NP, NP)
 
     ! local variables:
@@ -562,5 +562,5 @@
     INTEGER :: i, j
     REAL :: sum
-    real, external :: ssum
+    REAL, external :: ssum
     do j = 1, im
       do i = 1, im
@@ -631,5 +631,5 @@
     !-----------------------------------------------------------
 
-    if (iim == 1) return ! No filtre in 2D y-z
+    IF (iim == 1) return ! No filtre in 2D y-z
 
     pi = 2. * ASIN(1.)
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_TO_MOVE_ssum_scopy.f90	(revision 5117)
@@ -7,6 +7,6 @@
   IMPLICIT NONE
 
-  integer n, incx, incy, ix, iy, i
-  real sx((n - 1) * incx + 1), sy((n - 1) * incy + 1)
+  INTEGER n, incx, incy, ix, iy, i
+  REAL sx((n - 1) * incx + 1), sy((n - 1) * incy + 1)
 
   iy = 1
@@ -24,6 +24,6 @@
   IMPLICIT NONE
 
-  integer n, incx, i, ix
-  real ssum, sx((n - 1) * incx + 1)
+  INTEGER n, incx, i, ix
+  REAL ssum, sx((n - 1) * incx + 1)
 
   ssum = 0.
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5117)
@@ -15,5 +15,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1
-    if (.not. n1) THEN
+    IF (.NOT. n1) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -26,5 +26,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2
-    if (.not. (n1 .and. n2)) THEN
+    IF (.NOT. (n1 .AND. n2)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -37,5 +37,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2, n3
-    if (.not. (n1 .and. n2 .and. n3)) THEN
+    IF (.NOT. (n1 .AND. n2 .AND. n3)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -48,5 +48,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, INTENT(IN) :: n1, n2, n3, n4
-    if (.not. (n1 .and. n2 .and. n3 .and. n4)) THEN
+    IF (.NOT. (n1 .AND. n2 .AND. n3 .AND. n4)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
@@ -59,5 +59,5 @@
     CHARACTER(LEN = *), INTENT(IN) :: string
     LOGICAL, DIMENSION(:), INTENT(IN) :: n
-    if (.not. all(n)) THEN
+    IF (.NOT. all(n)) THEN
       write (*, *) 'nrerror: an assertion failed with this tag:', &
               string
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90	(revision 5117)
@@ -29,5 +29,5 @@
     INTEGER, INTENT(IN) :: n1, n2, n3
     INTEGER  assert_eq3
-    IF (n1 == n2 .and. n2 == n3) THEN
+    IF (n1 == n2 .AND. n2 == n3) THEN
       assert_eq3 = n1
     ELSE
@@ -43,5 +43,5 @@
     INTEGER, INTENT(IN) :: n1, n2, n3, n4
     INTEGER  assert_eq4
-    IF (n1 == n2 .and. n2 == n3 .and. n3 == n4) THEN
+    IF (n1 == n2 .AND. n2 == n3 .AND. n3 == n4) THEN
       assert_eq4 = n1
     ELSE
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_coefpoly.f90	(revision 5117)
@@ -26,8 +26,8 @@
     ! a0, a1, a2, a3.
 
-    use nrtype, ONLY: k8
+    USE lmdz_physical_constants, ONLY: k8
 
-    REAL(K8), intent(in) :: xf1, xf2, xprim1, xprim2, xtild1, xtild2
-    REAL(K8), intent(out) :: a0, a1, a2, a3
+    REAL(K8), INTENT(IN) :: xf1, xf2, xprim1, xprim2, xtild1, xtild2
+    REAL(K8), INTENT(OUT) :: a0, a1, a2, a3
 
     ! Local:
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5117)
@@ -7,5 +7,5 @@
     IMPLICIT NONE
     INTEGER :: n, unit, ndec
-    logical :: rev
+    LOGICAL :: rev
     REAL :: x(n), a
     CHARACTER(LEN = 4) :: text
@@ -27,5 +27,5 @@
     endif
 
-    if (n<2) THEN
+    IF (n<2) THEN
       ndec = 1
       WRITE(unit, 1000) text, n, x(1) * a
@@ -34,5 +34,5 @@
       do i = 2, n - 1
         dx = abs(x(i + 1) - x(i))
-        if (dx<dxmin) dxmin = dx
+        IF (dx<dxmin) dxmin = dx
       enddo
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_inca_wrappers.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_inca_wrappers.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_inca_wrappers.F90	(revision 5117)
@@ -9,5 +9,5 @@
 SUBROUTINE Init_chem_inca_trac(NBTR)
   IMPLICIT NONE
-  INTEGER, INTENT(out) :: nbtr
+  INTEGER, INTENT(OUT) :: nbtr
 
   CALL lmdz_inca_wrapper_abort
@@ -21,10 +21,10 @@
         vadv_flg_lmdz)
   IMPLICIT NONE
-  INTEGER, DIMENSION(:), INTENT(out) :: hadv_flg_lmdz
-  INTEGER, DIMENSION(:), INTENT(out) :: vadv_flg_lmdz
-
-  INTEGER, DIMENSION(:), INTENT(out) :: conv_flg_lmdz
-  INTEGER, DIMENSION(:), INTENT(out) :: pbl_flg_lmdz
-  CHARACTER(len = 8), DIMENSION(:), INTENT(out) :: tracnam_lmdz
+  INTEGER, DIMENSION(:), INTENT(OUT) :: hadv_flg_lmdz
+  INTEGER, DIMENSION(:), INTENT(OUT) :: vadv_flg_lmdz
+
+  INTEGER, DIMENSION(:), INTENT(OUT) :: conv_flg_lmdz
+  INTEGER, DIMENSION(:), INTENT(OUT) :: pbl_flg_lmdz
+  CHARACTER(len = 8), DIMENSION(:), INTENT(OUT) :: tracnam_lmdz
 
   CALL lmdz_inca_wrapper_abort
@@ -76,6 +76,6 @@
   IMPLICIT NONE
   REAL, INTENT(IN) :: calday
-  INTEGER, INTENT(in) :: ijour  ! jour julien
-  REAL, INTENT(in) :: gmtime ! input-R-temps universel dans la journee (0 a 86400 s)
+  INTEGER, INTENT(IN) :: ijour  ! jour julien
+  REAL, INTENT(IN) :: gmtime ! input-R-temps universel dans la journee (0 a 86400 s)
   INTEGER, INTENT(IN) :: ctop(:)
   INTEGER, INTENT(IN) :: cbot(:)
@@ -105,9 +105,9 @@
   REAL, INTENT(IN) :: cldfr (:, :)
   ! variables used in nightingale
-  REAL, INTENT(in) :: ftsol(:, :)
-  REAL, INTENT(in) :: paprs(:, :)
-  REAL, INTENT(in) :: cdragh(:), cdragm(:)
-  REAL, INTENT(in) :: pctsrf(:, :)
-  REAL, INTENT(in) :: delt               ! timestep in seconds of physics
+  REAL, INTENT(IN) :: ftsol(:, :)
+  REAL, INTENT(IN) :: paprs(:, :)
+  REAL, INTENT(IN) :: cdragh(:), cdragm(:)
+  REAL, INTENT(IN) :: pctsrf(:, :)
+  REAL, INTENT(IN) :: delt               ! timestep in seconds of physics
   INTEGER, INTENT(IN) :: nstep              ! model time step
 
@@ -148,8 +148,8 @@
 SUBROUTINE chemtime(istp, date0, dt, itap)
   IMPLICIT NONE
-  INTEGER, INTENT(in) :: istp   ! time step of the restart file
-  REAL, INTENT(in) :: date0  ! the date at which itau = 0
-  REAL, INTENT(in) :: dt     ! time step
-  INTEGER, INTENT(in) :: itap
+  INTEGER, INTENT(IN) :: istp   ! time step of the restart file
+  REAL, INTENT(IN) :: date0  ! the date at which itau = 0
+  REAL, INTENT(IN) :: dt     ! time step
+  INTEGER, INTENT(IN) :: itap
   CALL lmdz_inca_wrapper_abort
 END SUBROUTINE chemtime
@@ -165,9 +165,9 @@
         config_inca_l)
   IMPLICIT NONE
-  INTEGER, INTENT(in) :: nday_l
-  INTEGER, INTENT(in) :: nbsrf_l
-  INTEGER, INTENT(in) :: is_oce_l, is_sic_l, is_lic_l, is_ter_l
-  CHARACTER (len = 10), INTENT(in) :: calend_l
-  CHARACTER(len = 4), INTENT(in) :: config_inca_l
+  INTEGER, INTENT(IN) :: nday_l
+  INTEGER, INTENT(IN) :: nbsrf_l
+  INTEGER, INTENT(IN) :: is_oce_l, is_sic_l, is_lic_l, is_ter_l
+  CHARACTER (len = 10), INTENT(IN) :: calend_l
+  CHARACTER(len = 4), INTENT(IN) :: config_inca_l
 
   CALL lmdz_inca_wrapper_abort
@@ -217,17 +217,17 @@
   IMPLICIT NONE
   REAL, INTENT(IN) :: pmid(:, :)
-  INTEGER, INTENT(in) :: nbp_lon_lmdz, nbp_lat_lmdz
-  REAL, INTENT(in) :: calday
-  REAL, INTENT(in) :: latgcm(:)
-  REAL, INTENT(in) :: longcm(:)
-  REAL, INTENT(in) :: presnivs(:)
-  INTEGER, INTENT(in) :: klon
-  INTEGER, INTENT(in) :: nqmax  ! nombre total de traceurs = inca + lmdz
-  INTEGER, INTENT(in) :: nqo ! nombre de traceurs lus dans traceur.def
-  REAL, INTENT(in) :: pdtphys
-  INTEGER, INTENT(in) :: annee_ref, year_cur
-  INTEGER, INTENT(in) :: day_ref, day_ini
-  REAL, INTENT(in) :: start_time
-  INTEGER, INTENT(in) :: itau_phy
+  INTEGER, INTENT(IN) :: nbp_lon_lmdz, nbp_lat_lmdz
+  REAL, INTENT(IN) :: calday
+  REAL, INTENT(IN) :: latgcm(:)
+  REAL, INTENT(IN) :: longcm(:)
+  REAL, INTENT(IN) :: presnivs(:)
+  INTEGER, INTENT(IN) :: klon
+  INTEGER, INTENT(IN) :: nqmax  ! nombre total de traceurs = inca + lmdz
+  INTEGER, INTENT(IN) :: nqo ! nombre de traceurs lus dans traceur.def
+  REAL, INTENT(IN) :: pdtphys
+  INTEGER, INTENT(IN) :: annee_ref, year_cur
+  INTEGER, INTENT(IN) :: day_ref, day_ini
+  REAL, INTENT(IN) :: start_time
+  INTEGER, INTENT(IN) :: itau_phy
   REAL, OPTIONAL, INTENT(IN) :: io_lat(nbp_lat_lmdz) ! latitudes (of global grid)
   REAL, OPTIONAL, INTENT(IN) :: io_lon(nbp_lon_lmdz) ! longitudes (of global grid)
@@ -260,35 +260,35 @@
         cldtaupi, topswai_inca, solswai_inca)
   IMPLICIT NONE
-  LOGICAL, INTENT(in) :: chemistry_couple
-  INTEGER, INTENT(in) :: kdlon, kflev
-  REAL, INTENT(in) :: solaire
-  REAL, INTENT(in) :: dist
-  REAL, INTENT(in) :: rmu0(:), fract(:)
-  REAL, INTENT(in) :: paprs(:, :), pplay(:, :)
-  REAL, INTENT(in) :: albedo(:), alblw(:), tsol(:)
-  REAL, INTENT(in) :: t(:, :), q(:, :)
-  INTEGER, INTENT(in) :: size_wo
-  REAL, INTENT(in) :: wo(:, :, :)  ! column-density of ozone in a layer, in kilo-Dobsons
-  LOGICAL, INTENT(in) :: ok_ade, ok_aie     ! switches whether to use aerosol direct (indirect) effects or not
-  REAL, INTENT(in) :: cldfra(:, :), cldemi(:, :), cldtaupd(:, :)
-  REAL, INTENT(in) :: tau_inca(:, :, :, :) ! aerosol optical properties (see aeropt.F)
-  REAL, INTENT(in) :: piz_inca(:, :, :, :) ! aerosol optical properties (see aeropt.F)
-  REAL, INTENT(in) :: cg_inca(:, :, :, :)        ! aerosol optical properties (see aeropt.F)
-  REAL, INTENT(in) :: cldtaupi(:, :)  ! cloud optical thickness for pre-industrial aerosol concentrations
-  REAL, INTENT(out) :: heat(:, :), cool(:, :)
-  REAL, INTENT(out) :: heat0(:, :), cool0(:, :)
-  REAL, INTENT(out) :: topsw(:), toplw(:)
-  REAL, INTENT(out) :: solsw(:), sollw(:), albpla(:)
-  REAL, INTENT(out) :: topsw0(:), toplw0(:), solsw0(:), sollw0(:)
-  REAL, INTENT(out) :: sollwdown(:)
-  REAL, INTENT(out) :: swdn(:, :), swdn0(:, :)
-  REAL, INTENT(out) :: swup(:, :), swup0(:, :)
-  REAL, INTENT(out) :: lwdn(:, :), lwdn0(:, :)
-  REAL, INTENT(out) :: lwup(:, :), lwup0(:, :)
-  REAL, INTENT(out) :: topswad_inca(:), solswad_inca(:) ! output: aerosol direct forcing at TOA and surface
-  REAL, INTENT(out) :: topswad0_inca(:), solswad0_inca(:) ! output: aerosol direct forcing at TOA and surface
-  REAL, INTENT(out) :: topswai_inca(:), solswai_inca(:) ! output: aerosol indirect forcing atTOA and surface
-  REAL(kind = 8), INTENT(out) :: topsw_inca(:, :), topsw0_inca(:, :)
-  REAL(kind = 8), INTENT(out) :: solsw_inca(:, :), solsw0_inca(:, :)
+  LOGICAL, INTENT(IN) :: chemistry_couple
+  INTEGER, INTENT(IN) :: kdlon, kflev
+  REAL, INTENT(IN) :: solaire
+  REAL, INTENT(IN) :: dist
+  REAL, INTENT(IN) :: rmu0(:), fract(:)
+  REAL, INTENT(IN) :: paprs(:, :), pplay(:, :)
+  REAL, INTENT(IN) :: albedo(:), alblw(:), tsol(:)
+  REAL, INTENT(IN) :: t(:, :), q(:, :)
+  INTEGER, INTENT(IN) :: size_wo
+  REAL, INTENT(IN) :: wo(:, :, :)  ! column-density of ozone in a layer, in kilo-Dobsons
+  LOGICAL, INTENT(IN) :: ok_ade, ok_aie     ! switches whether to use aerosol direct (indirect) effects or not
+  REAL, INTENT(IN) :: cldfra(:, :), cldemi(:, :), cldtaupd(:, :)
+  REAL, INTENT(IN) :: tau_inca(:, :, :, :) ! aerosol optical properties (see aeropt.F)
+  REAL, INTENT(IN) :: piz_inca(:, :, :, :) ! aerosol optical properties (see aeropt.F)
+  REAL, INTENT(IN) :: cg_inca(:, :, :, :)        ! aerosol optical properties (see aeropt.F)
+  REAL, INTENT(IN) :: cldtaupi(:, :)  ! cloud optical thickness for pre-industrial aerosol concentrations
+  REAL, INTENT(OUT) :: heat(:, :), cool(:, :)
+  REAL, INTENT(OUT) :: heat0(:, :), cool0(:, :)
+  REAL, INTENT(OUT) :: topsw(:), toplw(:)
+  REAL, INTENT(OUT) :: solsw(:), sollw(:), albpla(:)
+  REAL, INTENT(OUT) :: topsw0(:), toplw0(:), solsw0(:), sollw0(:)
+  REAL, INTENT(OUT) :: sollwdown(:)
+  REAL, INTENT(OUT) :: swdn(:, :), swdn0(:, :)
+  REAL, INTENT(OUT) :: swup(:, :), swup0(:, :)
+  REAL, INTENT(OUT) :: lwdn(:, :), lwdn0(:, :)
+  REAL, INTENT(OUT) :: lwup(:, :), lwup0(:, :)
+  REAL, INTENT(OUT) :: topswad_inca(:), solswad_inca(:) ! output: aerosol direct forcing at TOA and surface
+  REAL, INTENT(OUT) :: topswad0_inca(:), solswad0_inca(:) ! output: aerosol direct forcing at TOA and surface
+  REAL, INTENT(OUT) :: topswai_inca(:), solswai_inca(:) ! output: aerosol indirect forcing atTOA and surface
+  REAL(kind = 8), INTENT(OUT) :: topsw_inca(:, :), topsw0_inca(:, :)
+  REAL(kind = 8), INTENT(OUT) :: solsw_inca(:, :), solsw0_inca(:, :)
 
   CALL lmdz_inca_wrapper_abort
@@ -304,10 +304,10 @@
 
   IMPLICIT NONE
-  INTEGER, INTENT(in) :: iim
-  INTEGER, INTENT(in) :: jjm
-  REAL, INTENT(in) :: rlonu_l(:)
-  REAL, INTENT(in) :: rlatu_l(:)
-  REAL, INTENT(in) :: rlonv_l(:)
-  REAL, INTENT(in) :: rlatv_l(:)
+  INTEGER, INTENT(IN) :: iim
+  INTEGER, INTENT(IN) :: jjm
+  REAL, INTENT(IN) :: rlonu_l(:)
+  REAL, INTENT(IN) :: rlatu_l(:)
+  REAL, INTENT(IN) :: rlonv_l(:)
+  REAL, INTENT(IN) :: rlatv_l(:)
 
   CALL lmdz_inca_wrapper_abort
@@ -319,19 +319,19 @@
         area, rlat, rlon, u10m, v10m)
   IMPLICIT NONE
-  REAL, INTENT(in) :: calday
-  REAL, INTENT(in) :: delt                ! [s]
-  REAL, INTENT(in) :: pmid(:, :)     ! [Pa]
-  REAL, INTENT(in) :: pfull(:, :)  ! [Pa]
-  REAL, INTENT(in) :: t_seri(:, :)   ! [K]
-  REAL, INTENT(in) :: flxrst(:, :) ! liquid water flux (stratiform) kgH2O/m2/s
-  REAL, INTENT(in) :: flxrcv(:, :) ! liquid  water flux (convection ) kgH2O/m2/s
-  REAL, INTENT(in) :: flxsst(:, :) ! solid  water flux (stratiform) kgH2O/m2/s
-  REAL, INTENT(in) :: flxscv(:, :) ! solid  water flux (convection) kgH2O/m2/s
-  REAL, INTENT(in) :: pctsrf(:, :)  ! subsurface fraction (0..1)
-  REAL, INTENT(in) :: area(:)          ! surface area of grid box [m2]
-  REAL, INTENT(in) :: rlon(:)          ! longitude
-  REAL, INTENT(in) :: rlat(:)          ! latitude
-  REAL, INTENT(in) :: u10m(:, :)    ! vents a 10m
-  REAL, INTENT(in) :: v10m(:, :)    ! vents a 10m
+  REAL, INTENT(IN) :: calday
+  REAL, INTENT(IN) :: delt                ! [s]
+  REAL, INTENT(IN) :: pmid(:, :)     ! [Pa]
+  REAL, INTENT(IN) :: pfull(:, :)  ! [Pa]
+  REAL, INTENT(IN) :: t_seri(:, :)   ! [K]
+  REAL, INTENT(IN) :: flxrst(:, :) ! liquid water flux (stratiform) kgH2O/m2/s
+  REAL, INTENT(IN) :: flxrcv(:, :) ! liquid  water flux (convection ) kgH2O/m2/s
+  REAL, INTENT(IN) :: flxsst(:, :) ! solid  water flux (stratiform) kgH2O/m2/s
+  REAL, INTENT(IN) :: flxscv(:, :) ! solid  water flux (convection) kgH2O/m2/s
+  REAL, INTENT(IN) :: pctsrf(:, :)  ! subsurface fraction (0..1)
+  REAL, INTENT(IN) :: area(:)          ! surface area of grid box [m2]
+  REAL, INTENT(IN) :: rlon(:)          ! longitude
+  REAL, INTENT(IN) :: rlat(:)          ! latitude
+  REAL, INTENT(IN) :: u10m(:, :)    ! vents a 10m
+  REAL, INTENT(IN) :: v10m(:, :)    ! vents a 10m
 
   CALL lmdz_inca_wrapper_abort
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5117)
@@ -36,5 +36,5 @@
     do while (ju - jl > 1)
       jm = (ju + jl) / 2 ! Compute a midpoint,
-      if (ascnd .eqv. (x >= xx(jm))) THEN
+      IF (ascnd .eqv. (x >= xx(jm))) THEN
         jl = jm ! and replace either the lower limit
       else
@@ -44,12 +44,12 @@
     ! {ju == jl + 1}
 
-    ! {(ascnd .and. xx(jl) <= x < xx(jl+1)) 
+    ! {(ascnd .AND. xx(jl) <= x < xx(jl+1))
     !  .neqv. 
-    !  (.not. ascnd .and. xx(jl+1) <= x < xx(jl))}
+    !  (.NOT. ascnd .AND. xx(jl+1) <= x < xx(jl))}
 
     ! Then set the output, being careful with the endpoints:
-    if (x == xx(1)) THEN
+    IF (x == xx(1)) THEN
       locate = 1
-    else if (x == xx(n)) THEN
+    ELSE IF (x == xx(n)) THEN
       locate = n - 1
     else
@@ -81,5 +81,5 @@
     ascnd = (xx(n) >= xx(1))
     ! (True if ascending order of table, false otherwise.)
-    if (jlo < 0 .or. jlo > n) THEN
+    IF (jlo < 0 .OR. jlo > n) THEN
       ! Input guess not useful. Go immediately to bisection.
       jlo = 0
@@ -87,17 +87,17 @@
     else
       inc = 1 ! Set the hunting increment.
-      if (jlo == 0) THEN
+      IF (jlo == 0) THEN
         hunt_up = .TRUE.
       else
         hunt_up = x >= xx(jlo) .eqv. ascnd
       end if
-      if (hunt_up) then ! Hunt up:
-        do
+      IF (hunt_up) then ! Hunt up:
+        DO
           jhi = jlo + inc
-          if (jhi > n) then ! Done hunting, since off end of table.
+          IF (jhi > n) then ! Done hunting, since off end of table.
             jhi = n + 1
             exit
           else
-            if (x < xx(jhi) .eqv. ascnd) exit
+            IF (x < xx(jhi) .eqv. ascnd) exit
             jlo = jhi ! Not done hunting,
             inc = inc + inc ! so double the increment
@@ -106,11 +106,11 @@
       else ! Hunt down:
         jhi = jlo
-        do
+        DO
           jlo = jhi - inc
-          if (jlo < 1) then ! Done hunting, since off end of table.
+          IF (jlo < 1) then ! Done hunting, since off end of table.
             jlo = 0
             exit
           else
-            if (x >= xx(jlo) .eqv. ascnd) exit
+            IF (x >= xx(jlo) .eqv. ascnd) exit
             jhi = jlo ! Not done hunting,
             inc = inc + inc ! so double the increment
@@ -121,11 +121,11 @@
 
     do ! Hunt is done, so begin the final bisection phase:
-      if (jhi - jlo <= 1) THEN
-        if (x == xx(n)) jlo = n - 1
-        if (x == xx(1)) jlo = 1
+      IF (jhi - jlo <= 1) THEN
+        IF (x == xx(n)) jlo = n - 1
+        IF (x == xx(1)) jlo = 1
         exit
       else
         jm = (jhi + jlo) / 2
-        if (x >= xx(jm) .eqv. ascnd) THEN
+        IF (x >= xx(jm) .eqv. ascnd) THEN
           jlo = jm
         else
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath_pch.f90	(revision 5117)
@@ -222,5 +222,5 @@
     !       (Error return if  INCFD.LT.1 .)
     !
-    ! SKIP -- (input/output) logical variable which should be set to
+    ! SKIP -- (input/output) LOGICAL variable which should be set to
     !       .TRUE. if the user wishes to skip checks for validity of
     !       preceding parameters, or to .FALSE. otherwise.
@@ -489,16 +489,16 @@
     ! the points  XE.
 
-    use lmdz_assert_eq, ONLY: assert_eq
-
-    REAL, intent(in) :: X(:) ! real array of independent variable values
+    USE lmdz_assert_eq, ONLY: assert_eq
+
+    REAL, INTENT(IN) :: X(:) ! real array of independent variable values
     ! The elements of X must be strictly increasing.
 
-    REAL, intent(in) :: F(:) ! real array of function values
+    REAL, INTENT(IN) :: F(:) ! real array of function values
     ! F(I) is the value corresponding to X(I).
 
-    REAL, intent(in) :: D(:) ! real array of derivative values
+    REAL, INTENT(IN) :: D(:) ! real array of derivative values
     ! D(I) is the value corresponding to X(I).
 
-    LOGICAL, intent(inout) :: SKIP
+    LOGICAL, INTENT(INOUT) :: SKIP
     ! request to skip checks for validity of "x"
     ! If "skip" is false then "pchfe" will check that size(x) >= 2 and
@@ -508,5 +508,5 @@
     ! "SKIP" will be set to TRUE on normal return.
 
-    real, intent(in) :: XE(:) ! points at which the function is to be evaluated
+    REAL, INTENT(IN) :: XE(:) ! points at which the function is to be evaluated
     ! NOTES:
     ! 1. The evaluation will be most efficient if the elements of XE
@@ -518,8 +518,8 @@
     ! error is returned.
 
-    real, intent(out) :: FE(:) ! values of the cubic Hermite function
+    REAL, INTENT(OUT) :: FE(:) ! values of the cubic Hermite function
     ! defined by X, F, D at the points XE
 
-    integer, intent(out) :: IERR ! error flag
+    INTEGER, INTENT(OUT) :: IERR ! error flag
     ! Normal return:
     ! IERR = 0  no error
@@ -572,7 +572,7 @@
     ! 2001, pages 43-47
 
-    use lmdz_assert_eq, ONLY: assert_eq
-
-    real, intent(in) :: x(:)
+    USE lmdz_assert_eq, ONLY: assert_eq
+
+    REAL, INTENT(IN) :: x(:)
     ! independent variable values
     ! The elements of X must be strictly increasing:
@@ -581,9 +581,9 @@
     ! (error if size(x) < 2)
 
-    real, intent(in) :: f(:)
+    REAL, INTENT(IN) :: f(:)
     !     dependent variable values to be interpolated
     !  F(I) is value corresponding to X(I).
 
-    INTEGER, intent(in) :: ibeg
+    INTEGER, INTENT(IN) :: ibeg
     !     desired boundary condition at beginning of data
 
@@ -604,5 +604,5 @@
     !              VC_BEG=0.
 
-    INTEGER, intent(in) :: iend
+    INTEGER, INTENT(IN) :: iend
     !           IC(2) = IEND, desired condition at end of data.
     !  IEND may take on the same values as IBEG, but applied to
@@ -614,13 +614,13 @@
     !              VC_END=0.
 
-    REAL, intent(in), optional :: vc_beg
+    REAL, INTENT(IN), optional :: vc_beg
     ! desired boundary value, as indicated above.
     !           VC_BEG need be set only if IBEG = 1 or 2 .
 
-    REAL, intent(in), optional :: vc_end
+    REAL, INTENT(IN), optional :: vc_end
     ! desired boundary value, as indicated above.
     !           VC_END need be set only if Iend = 1 or 2 .
 
-    real pchsp_95(size(x))
+    REAL pchsp_95(size(x))
     ! derivative values at the data points
     !           These values will determine the cubic spline interpolant
@@ -630,25 +630,25 @@
 
     ! LOCAL VARIABLES:
-    real wk(2, size(x)) ! real array of working storage
+    REAL wk(2, size(x)) ! real array of working storage
     INTEGER n ! number of data points
-    integer ierr, ic(2)
-    real vc(2)
+    INTEGER ierr, ic(2)
+    REAL vc(2)
 
     !-------------------------------------------------------------------
 
     n = assert_eq(size(x), size(f), "pchsp_95 n")
-    if ((ibeg == 1 .or. ibeg == 2) .and. .not. present(vc_beg)) THEN
+    IF ((ibeg == 1 .OR. ibeg == 2) .AND. .NOT. present(vc_beg)) THEN
       print *, "vc_beg required for IBEG = 1 or 2"
       stop 1
     end if
-    if ((iend == 1 .or. iend == 2) .and. .not. present(vc_end)) THEN
+    IF ((iend == 1 .OR. iend == 2) .AND. .NOT. present(vc_end)) THEN
       print *, "vc_end required for IEND = 1 or 2"
       stop 1
     end if
     ic = (/ibeg, iend/)
-    if (present(vc_beg)) vc(1) = vc_beg
-    if (present(vc_end)) vc(2) = vc_end
+    IF (present(vc_beg)) vc(1) = vc_beg
+    IF (present(vc_end)) vc(2) = vc_end
     CALL PCHSP(IC, VC, N, X, F, pchsp_95, 1, WK, size(WK), IERR)
-    if (ierr /= 0) stop 1
+    IF (ierr /= 0) stop 1
 
   END FUNCTION pchsp_95
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_new_unit.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_new_unit.f90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_new_unit.f90	(revision 5117)
@@ -0,0 +1,22 @@
+module lmdz_new_unit
+
+  IMPLICIT NONE
+
+contains
+
+  ! Returns an existing unit id that isn't already opened
+  SUBROUTINE new_unit(unit)
+    INTEGER, INTENT(OUT):: unit
+
+    LOGICAL opened, exist
+
+    unit = 0
+    DO
+       INQUIRE(unit=unit, opened=opened, exist=exist)
+       IF (exist .AND. .NOT. opened) RETURN
+       unit = unit + 1
+    END DO
+
+  END SUBROUTINE  new_unit
+
+end module lmdz_new_unit
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_physical_constants.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_physical_constants.f90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_physical_constants.f90	(revision 5117)
@@ -0,0 +1,22 @@
+MODULE lmdz_physical_constants
+
+  IMPLICIT NONE
+
+  INTEGER, parameter :: k8 = selected_real_kind(13)
+
+  ! Frequently used mathematical constants (with precision to spare):
+
+  REAL, PARAMETER :: PI = 3.141592653589793238462643383279502884197
+  REAL, PARAMETER :: PIO2 = 1.57079632679489661923132169163975144209858
+  REAL, PARAMETER :: TWOPI = 6.283185307179586476925286766559005768394
+  REAL, PARAMETER :: SQRT2 = 1.41421356237309504880168872420969807856967
+  REAL, PARAMETER :: EULER = 0.5772156649015328606065120900824024310422
+
+  REAL(K8), PARAMETER :: &
+          PI_D = 3.141592653589793238462643383279502884197_k8
+  REAL(K8), PARAMETER :: &
+          PIO2_D = 1.57079632679489661923132169163975144209858_k8
+  REAL(K8), PARAMETER :: &
+          TWOPI_D = 6.283185307179586476925286766559005768394_k8
+
+END MODULE lmdz_physical_constants
